function Themes ( ) {

	this.basePath = 'Themes' ;
	this.list = new Array ( ) ;
	
	try { 

		// BEGIN THEME DEFINITIONS

		// this adds the default theme
		this.list.push ( {
				name      : 'Glass (Default)'
			,	path      : 'Glass' // this will be 'Themes/Glass'
			,	cssName   : 'Glass' // all CSS items should start with '.Glass'
			,	bgShadow  : 'Images/front-shadow.png' // This becomes Themes/Glass/Images/front-shadow.png
			,	bgOverlay : 'Images/front-bg-fx.png'
			,	timer     : 'Images/timer-face.png'
			,	overlay   : 'Images/front-glass.png'
			,	spinner   : 'Images/load-ind.gif'
			,	tray      : 'Images/front-tray.png'
			,	backgrounds : {
						Black  : 'Images/widget-bg-bk.png' // "Black" will get put into the color drop-down list
					,	Blue   : 'Images/widget-bg-bu.png'
					,	Brown  : 'Images/widget-bg-br.png'
					,	Gold   : 'Images/widget-bg-gd.png'
					,	Green  : 'Images/widget-bg-gr.png'
					,	Orange : 'Images/widget-bg-or.png'
					,	Purple : 'Images/widget-bg-pr.png'
					,	Red    : 'Images/widget-bg-rd.png'
				}
		} ) ;

		// Aura theme by Davan Sarn
		this.list.push ( {
				name      : 'Aura'
			,	path      : 'Aura'
			,	cssName   : 'Aura'
			,	bgShadow  : 'Images/front-shadow.png'
			,	bgOverlay : 'Images/blank.png'
			,	timer     : 'Images/timer-face.png'
			,	overlay   : 'Images/front-logo.png'
			,	spinner   : 'Images/load-ind.gif'
			,	tray      : 'Images/front-tray.png'
			,	backgrounds : {
						Black  : 'Images/widget-bg-bk.png'
					,	Blue   : 'Images/widget-bg-bu.png'
					,	Brown  : 'Images/widget-bg-br.png'
					,	Gold   : 'Images/widget-bg-gd.png'
					,	Green  : 'Images/widget-bg-gr.png'
					,	Orange : 'Images/widget-bg-or.png'
					,	Purple : 'Images/widget-bg-pr.png'
					,	Red    : 'Images/widget-bg-rd.png'
				}
		} ) ;

		// Trinity theme by Davan Sarn
		this.list.push ( {
				name      : 'Trinity'
			,	path      : 'Trinity'
			,	cssName   : 'Trinity'
			,	bgShadow  : 'Images/blank.png'
			,	bgOverlay : 'Images/blank.png'
			,	timer     : 'Images/timer-face.png'
			,	overlay   : 'Images/blank.png'
			,	spinner   : 'Images/load-ind.gif'
			,	tray      : 'Images/front-tray.png'
			,	backgrounds : {
						Arbitrator : 'Images/arbitrator.png'
					,	Megathron  : 'Images/megathron.png'
					,	Merlin     : 'Images/merlin.png'
					,	Tempest    : 'Images/tempest.png'
				}
		} ) ;

	/******* Uncomment and use this as a template to add your theme *******

		this.list.push ( {
				name      : 'Glassy'
			,	path      : 'Glassy' // this will be 'Themes/Glassy'
			,	cssName   : 'Glassy' // all CSS items should start with '.Glassy'
			,	bgShadow  : 'Images/front-shadow.png' // This becomes Themes/Glassy/Images/front-shadow.png
			,	bgOverlay : 'Images/front-bg-fx.png'
			,	timer     : 'Images/timer-face.png'
			,	overlay   : 'Images/front-glass.png'
			,	spinner   : 'Images/load-ind.gif'
			,	tray      : 'Images/front-tray.png'
			,	backgrounds : {
						Black  : 'Images/widget-bg-bk.png' // "Black" will get put into the color drop-down list
					,	Blue   : 'Images/widget-bg-bu.png'
					,	Brown  : 'Images/widget-bg-br.png'
					,	Gold   : 'Images/widget-bg-gd.png'
					,	Green  : 'Images/widget-bg-gr.png'
					,	Orange : 'Images/widget-bg-or.png'
					,	Purple : 'Images/widget-bg-pr.png'
					,	Red    : 'Images/widget-bg-rd.png'
				}
		} ) ;
	
	******* End theme definition template *******/
	
		// END OF THEME DEFINITIONS

	} catch ( e ) {
		// not actually doing anything just yet.
	}

	this.defaultValue = 'Glass' ;

	function Find ( cssName ) {
		var i , j , found , theme ;
		theme = null ;
		for ( i = 0 , j = themes.list.length , found = false ; i < j && ! found ; i++ ) {
			if ( themes.list[ i ].cssName == cssName ) {
				theme = themes.list[ i ] ;
				found = true ;
			}
		}
		return theme ;
	}
	this.find = Find ;

}